=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-rolling-zstd-vendor
 Section: misc
 Priority: optional
-Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), git, libzstd-dev, ros-rolling-ament-cmake, ros-rolling-ros-workspace
+Maintainer: Michael Orlov <michael.orlov@apex.ai>
+Build-Depends: debhelper (>= 9.0.0), libzstd-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, ros-rolling-ros-workspace
 Homepage: https://facebook.github.io/zstd/
 Standards-Version: 3.9.2
